# GimpUi.ColorSelector

    from gi.repository import GimpUi

    color_selector = GimpUi.ColorSelector()

Functions and definitions for creating pluggable GIMP color selector modules.

## Hierarchy

- GObject.Object
  - GObject.InitiallyUnowned
    - Gtk.Widget
      - Gtk.Container
        - Gtk.Box
          - GimpUi.ColorSelector

## Methods

- GimpUi.ColorSelector.enable_simulation
- GimpUi.ColorSelector.get_channel
- GimpUi.ColorSelector.get_color
- GimpUi.ColorSelector.get_model_visible
- GimpUi.ColorSelector.get_show_alpha
- GimpUi.ColorSelector.get_simulation
- GimpUi.ColorSelector.get_toggles_sensitive
- GimpUi.ColorSelector.get_toggles_visible
- GimpUi.ColorSelector.set_channel
- GimpUi.ColorSelector.set_color
- GimpUi.ColorSelector.set_config
- GimpUi.ColorSelector.set_format
- GimpUi.ColorSelector.set_model_visible
- GimpUi.ColorSelector.set_show_alpha
- GimpUi.ColorSelector.set_simulation
- GimpUi.ColorSelector.set_toggles_sensitive
- GimpUi.ColorSelector.set_toggles_visible

## Signals

- channel-changed
- color-changed
- model-visible-changed
- simulation

## Virtual functions

- GimpUi.ColorSelector::channel_changed
- GimpUi.ColorSelector::color_changed
- GimpUi.ColorSelector::model_visible_changed
- GimpUi.ColorSelector::set_channel
- GimpUi.ColorSelector::set_color
- GimpUi.ColorSelector::set_config
- GimpUi.ColorSelector::set_format
- GimpUi.ColorSelector::set_model_visible
- GimpUi.ColorSelector::set_show_alpha
- GimpUi.ColorSelector::set_simulation
- GimpUi.ColorSelector::set_toggles_sensitive
- GimpUi.ColorSelector::set_toggles_visible

## Fields

- GimpUi.ColorSelector->parent_instance